=== debian/changelog ===
kristall (0.3+git20210303.763bd81+dfsg-1) experimental; urgency=medium

  * Initial release. (Closes: #984530)

 -- Carlos Henrique Lima Melara <charlesmelara@outlook.com>  Tue, 21 Sep 2021 23:09:30 -0300
