## kristall 0.4%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,16 @@
 Source: kristall
 Section: web
 Priority: optional
-Maintainer: Carlos Henrique Lima Melara <charlesmelara@outlook.com>
+Maintainer: Carlos Henrique Lima Melara <charlesmelara@riseup.net>
 Build-Depends: debhelper-compat (= 13),
                libcmark-dev,
+               libgumbo-dev,
                libqt5svg5-dev,
                libssl-dev,
                qt5-qmake,
-               qtmultimedia5-dev
-Standards-Version: 4.6.0
+               qtmultimedia5-dev,
+               qttools5-dev-tools
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://kristall.random-projects.net/
 Vcs-Git: https://salsa.debian.org/debian/kristall.git
