## kristall 0.4+dfsg

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,9 @@
-# Install to /usr/local unless otherwise specified, such as `make PREFIX=/app`
+# Install to ~/.local unless otherwise specified, such as `make PREFIX=/app`
 PREFIX?=/usr/local
 
 # Man pages by default instaled to /usr/local/share/man, like above this can
 # be specified on command line.
-MANPATH?=$(PREFIX)/share/man
+MANPATH2?=$(PREFIX)/share/man
 
 # What to run to install various files
 INSTALL?=install
@@ -15,7 +15,7 @@
 # Directories into which to install the various files
 bindir=$(DESTDIR)$(PREFIX)/bin
 sharedir=$(DESTDIR)$(PREFIX)/share
-mandir=$(DESTDIR)$(MANPATH)/man1
+mandir=$(DESTDIR)$(MANPATH2)/man1
 MAKEDIR=mkdir -p
 
 # Default Qmake Command For Ubuntu (and probably other Debian) distributions
@@ -25,9 +25,14 @@
 # QMAKE_COMMAND := /usr/bin/qmake-qt5
 
 UNAME := $(shell uname)
+UNAME_M := $(shell uname -m)
 # Homebrew on macOS does not link Qt5 into the system path.
 ifeq ($(UNAME),Darwin)
-	HOMEBREW_PATH=export PATH="$(PATH):/usr/local/opt/qt/bin";
+	ifeq ($(UNAME_M),arm64)
+		HOMEBREW_PATH=export PATH="$(PATH):/opt/homebrew/opt/qt5/bin";
+	else
+		HOMEBREW_PATH=export PATH="$(PATH):/usr/local/opt/qt/bin";
+	endif
 endif
 
 kristall: build/kristall
@@ -36,7 +41,7 @@
 .PHONY: build/kristall
 build/kristall: src/*
 	mkdir -p build
-	cd build; $(HOMEBREW_PATH) $(QMAKE_COMMAND) CONFIG+=$(QMAKE_CONFIG) ../src/kristall.pro && $(MAKE)
+	cd build; $(HOMEBREW_PATH) $(QMAKE_COMMAND) "CONFIG+=$(QMAKE_CONFIG)" ../src/kristall.pro && $(MAKE)
 	cd doc; ./gen-man.sh
 
 install: kristall
@@ -65,6 +70,8 @@
 uninstall:
 	# Remove the .desktop
 	rm -f $(sharedir)/applications/Kristall.desktop
+	# Remove the mime entry
+	rm -f $(sharedir)/mime/packages/kristall.xml
 	# Remove the icons
 	rm -f $(sharedir)/icons/hicolor/scalable/apps/net.random-projects.kristall.png
 	rm -f $(sharedir)/icons/hicolor/*x*/apps/net.random-projects.kristall.png
@@ -75,4 +82,5 @@
 
 clean:
 	rm -rf build
+	rm -f doc/kristall.1
 	rm -f kristall
