=== debian/changelog ===
kristall (0.4+dfsg-5) experimental; urgency=medium

  * Team upload.
  * d/control: bump standards-version to 4.7.2

 -- Bianca Costa Galvão <biancagalvao@usp.br>  Wed, 11 Jun 2025 19:05:47 +0000

kristall (0.4+dfsg-4) unstable; urgency=medium

  * debian/rules: really make kristall cross-buildable.
    Thanks to Helmut Grohne for the patch. (Closes: #1070049)

 -- Carlos Henrique Lima Melara <charlesmelara@riseup.net>  Sat, 04 May 2024 13:07:36 -0300

kristall (0.4+dfsg-3) unstable; urgency=medium

  * debian/control: bump Standards-Version to 4.7.0, no changes needed.
  * debian/copyright: update packaging copyright years.
  * debian/rules: use the host architecture qmake. Thanks to Helmut Grohne.
    (Closes: #1070049)

 -- Carlos Henrique Lima Melara <charlesmelara@riseup.net>  Mon, 29 Apr 2024 15:56:39 -0300

kristall (0.4+dfsg-2) unstable; urgency=medium

  * debian/control: update maintainer's email.
  * debian/copyright: update packaging copyright info.
  * debian/patches: refresh patch headers and drop patch numbers in filename.
      - gen-man-use-printf-instead-of-echo.patch: cherry-pick from upstream.
  * debian/watch: update to use github api.

 -- Carlos Henrique Lima Melara <charlesmelara@riseup.net>  Sun, 11 Jun 2023 23:10:13 -0300

kristall (0.4+dfsg-1) unstable; urgency=medium

  * New upstream version 0.4+dfsg.
  * debian/README.Debian: qtwayland5 is installed by default, so we
    can delete this readme.
  * debian/control:
      - Add new packages to Build-Depends.
      - Bump Standards-Version to 4.6.2 - no changes needed.
  * debian/copyright: exclude already packaged libs and their copyright
    information.
  * debian/lintian-overrides: remove unused override.
  * debian/patches/:
      - 010-Add_debian_font_path.patch: refresh patch.
      - {020,030,040,050}*: remove. Merged upstream.
      - 020-fix_typo_in_help_page.patch: fix typo in upstream code (new).
      - 030-Fix_kristall_version.patch: fix missing kristall version (new).
  * debian/rules: export KRISTALL_VERSION and QMAKE_CONFIG to link dynamically
    to cmark and gumbo libs.
  * debian/watch: add repacksuffix so uscan can name the orig tarball
    correctly and update filenamemangle.

 -- Carlos Henrique Lima Melara <charlesmelara@outlook.com>  Thu, 29 Dec 2022 00:44:10 -0300

kristall (0.3+git20210303.763bd81+dfsg-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/README.Debian: created to explain how to deal with #1018251.
  * debian/control: bumped Standards-Version to 4.6.1.
  * debian/copyright: updated packaging copyright years.
  * debian/gbp.conf: added gbp.conf file.
  * debian/lintian-overrides: add and update text to match current lintian
    messages.
  * debian/patches/:
      - {020,030,040}*: updated patch headers.
      - 050-Make_reproducible_usrmerged.patch: added cherry-pick from
        upstream. Thanks to Vagrant Cascadian for reporting. (Closes: #1007094)
  * debian/watch: update (fix) watch file to work with github

 -- Carlos Henrique Lima Melara <charlesmelara@outlook.com>  Sun, 16 Oct 2022 01:25:29 -0300
