=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                qt5-qmake,
                qtmultimedia5-dev,
                qttools5-dev-tools
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://kristall.random-projects.net/
 Vcs-Git: https://salsa.debian.org/debian/kristall.git
