=== debian/watch ===
version=4
opts="searchmode=plain,\
      filenamemangle=s%v?@ANY_VERSION@%@PACKAGE@-$1.tar.xz%,\
      uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|a|b)\d*)$/$1~$2/, \
      dversionmangle=s/@DEB_EXT@//, \
      repacksuffix=+dfsg" \
https://api.github.com/repos/MasterQ32/kristall/releases?per_page=100 \
https://api.github.com/repos/[^/]+/[^/]+/tarball/V?@ANY_VERSION@
